## sankore 2.1.1~git20130904

=== debian/changelog ===
sankore (2.1.1~git20130904-1+lliurex0) precise; urgency=low

  * Backported to precise from debian http://www.miriamruiz.es/debian/sankore

 -- Vicente Balaguer Domenech <vbalaguer.gva@gmail.com>  Mon, 28 Oct 2013 10:35:53 +0100

sankore (2.1.1~git20130904-1) UNRELEASED; urgency=low

  [ Miriam Ruiz ]
  * New upstream release, obtained from git, corresponding to commits:
  * Initial release (closes: #673322), obtained from git,
    corresponding to commits:
    + Sankore-3.1:        716160b99476609ca99ec553d0206ad6bba1b363 
    + Sankore-ThirdParty: 735e68f1b75c5ece90f5c1d50798e1d07eca51a9
  * Add patches:
    + 001_build_opts.patch
    + 002_absolute_dirs.patch
    + 003_qt_pre_4.7.patch
    + 004_includes.patch
    + 005_enable_i18n.patch

  [ Mike Gabriel ]
  * Include upstream changelog (release notes) into package.
  * Use bin:package libjs-query as jquery.js/jquery.min.js library provider.
  * Use bin:package libjs-openlayers as OpenLayers.js library provider.
  * Use bin:package gsfonts-x11 as Type1 font provider.
  * Use bin:packages fonts-ecolier* as provider for Ecolier fonts.
  * Use bin:package fonts-sil-andika as provider for Andika Basic font.

 -- Miriam Ruiz <miriam@debian.org>  Wed, 04 Sep 2013 23:33:22 +0200
