=== debian/watch ===
version=3
https://github.com/Sankore/Sankore-3.1/tags .*/v?(\d[\d\.]+)\.tar\.gz
